package com.unipi.talepis.protal_2021_5;

import android.app.NotificationChannel;
import android.app.NotificationManager;
import android.app.Service;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.media.MediaPlayer;
import android.os.IBinder;

import androidx.core.app.NotificationCompat;

public class MyService extends Service {
    static MediaPlayer player;
    public MyService() {
    }

    @Override
    public void onCreate() {
        player = MediaPlayer.create(this,R.raw.doorbell1);
        //player.start();
        IntentFilter filter = new IntentFilter();
        filter.addAction(Intent.ACTION_POWER_CONNECTED);
        filter.addAction(Intent.ACTION_POWER_DISCONNECTED);
        registerReceiver(new MyBroadCast2(),filter);
    }

    @Override
    public IBinder onBind(Intent intent) {
        // TODO: Return the communication channel to the service.
        //throw new UnsupportedOperationException("Not yet implemented");
        return null;
    }
}

class MyBroadCast2 extends BroadcastReceiver{

    void buildNotification(Context context, String channeId, String channelName ,String title, String message){
        NotificationChannel channel =
                new NotificationChannel(channeId,channelName, NotificationManager.IMPORTANCE_DEFAULT);
        NotificationManager manager = (NotificationManager) context.getSystemService(Context.NOTIFICATION_SERVICE);
        manager.createNotificationChannel(channel);
        NotificationCompat.Builder builder = new NotificationCompat.Builder(context,channeId);
        builder.setContentTitle(title)
                .setContentText(message)
                .setSmallIcon(R.drawable.ic_launcher_foreground)
                .setAutoCancel(true);
        manager.notify(1,builder.build());
    }

    @Override
    public void onReceive(Context context, Intent intent) {
        if (intent.getAction().equals(Intent.ACTION_POWER_CONNECTED)){
            buildNotification(context,"765","mychannel","Power","Charging!");
        }
            MyService.player.start();
    }
}